#!/bin/bash

# Bail in case of errors
set -e

# Source the nova configuration bits
. ./nova.rc

# Register an image with glance
glance image-create --name junos --disk-format qcow2 --container-format bare --owner admin --file junos-vsrx-12.1-in-network.img --checksum $(md5sum junos-vsrx-12.1-in-network.img  | cut -d " " -f 1) --is-public True

# Register ssh keys
#nova keypair-add --pub-key ~/.ssh/id_rsa.pub admin_key

# Create the networks
#neutron net-create "Public_Network" -- --router:external=True
#neutron subnet-create --name "Public_Subnet" --allocation-pool start=10.14.60.50,end=10.14.60.99 --gateway=10.14.4.1 --enable_dhcp=False "Public_Network" 10.14.0.0/16

#neutron net-create "Private_Network"
#neutron subnet-create --name "Private_Subnet" --allocation-pool start=10.10.10.100,end=10.10.10.200 --gateway=10.10.10.1 --dns-nameserver 10.14.4.1 --enable_dhcp=True "Private_Network" 10.10.10.0/24

#neutron net-create "Data_Network"
#neutron subnet-create --name "Data_Subnet" --allocation-pool start=10.11.11.100,end=10.11.11.200 --gateway=10.11.11.1 --dns-nameserver 10.14.4.1 --enable_dhcp=True "Data_Network" 10.11.11.0/24

#neutron router-create "Private_Public"

#ROUTER_ID=`neutron router-list | grep -v "+" | grep -v id | awk '{ print $2 }'`
#EXTERNAL_NETWORK_ID=`neutron net-list | grep Public_Network | awk '{ print $2 }'`
#INTERNAL_SUBNET_ID=`neutron subnet-list | grep Private_Subnet | awk '{ print $2 }'`

#neutron router-gateway-set ${ROUTER_ID} ${EXTERNAL_NETWORK_ID}
#neutron router-interface-add ${ROUTER_ID} ${INTERNAL_SUBNET_ID}


# Security Groups

#nova secgroup-create "SSH_Access" "SSH Access"
#nova secgroup-add-rule "SSH_Access" tcp 22 22 0.0.0.0/0

#nova secgroup-create "Ping_Access" "Ping Access"
#nova secgroup-add-rule "Ping_Access" icmp -1 -1 0.0.0.0/0

#nova secgroup-create "Web_Access" "Web Access. Port 80 and 443"
#nova secgroup-add-rule "Web_Access" tcp 80 80 0.0.0.0/0
#nova secgroup-add-rule "Web_Access" tcp 443 443 0.0.0.0/0

